/// class PD.Manage.Modules.ObjectModel.EntityTypeCommands

PD.Manage.Modules.ObjectModel.EntityTypeCommands =
PD.Commands.CommandGroup.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    registerCommands: function (e) {


        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderCreateCommand());

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderCreateDialogCommand());

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderCreateCommand({
            id: "explorer-folder/create/canvas",
            folderType: "canvas"
        }));

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderCreateCommand({
            id: "explorer-folder/create/content-list",
            folderType: "content-list"
        }));

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderCreateCommand({
            id: "explorer-folder/create/document-folder",
            folderType: "document-folder"
        }));

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderCreateCommand({
            id: "explorer-folder/create/document-explorer",
            folderType: "document-explorer"
        }));

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderCreateCommand({
            id: "explorer-folder/create/tabbed-form",
            folderType: "tabbed-form"
        }));

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderCreateCommand({
            id: "explorer-folder/create/empty-folder",
            folderType: "empty-folder"
        }));

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderDeleteCommand());

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderUpdateCommand());

        e.commands.add(new PD.Manage.Modules.ObjectModel.ExplorerFolderMoveCommand());

    }

});